#version 430 core
layout(location = 0) out vec4 FragColor;
layout(location = 1) out vec4 BrightColor;


in vec2 TexCoords;

uniform sampler2D texture_diffuse1;

void main()
{    
    vec4 result = texture(texture_diffuse1, TexCoords) * 100;

    FragColor = vec4(result);
    // check whether result is higher than some threshold, if so, output as bloom threshold color
    float brightness = dot(FragColor.rgb, vec3(0.2126, 0.7152, 0.0722));
    if (brightness > 10.0)
        BrightColor = vec4(FragColor.rgb, 1.0);
    else
        BrightColor = vec4(0.0, 0.0, 0.0, 1.0);

    
}